Bug 587526 - ccs_sync SIGABRTs when called with non-existing cluster node
ccs_sync SIGABRTs when called with non-existing cluster node
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: ricci (Show other bugs)
6.0
x86_64 Linux
low Severity low
: rc
: ---
Assigned To: Chris Feist
Cluster QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-30 03:08 EDT by Ingvar Hagelund
Modified: 2016-04-26 10:43 EDT (History)
2 users (show)

See Also:
Fixed In Version: ricci-0.16.2-6.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-15 09:44:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to fix bz (633 bytes, patch)
2010-05-18 18:01 EDT, Chris Feist
no flags Details | Diff

  None (edit)
Description Ingvar Hagelund 2010-04-30 03:08:14 EDT
Description of problem:
If ccs_sync is called with wrong parameters, it dies screeming with SIGABRT and dumps core.

Version-Release number of selected component (if applicable):
0.16.2-2

How reproducible:
Allways

Steps to Reproduce:
1. run a bogus ccs_sync command, like "ccs_sync foo"
2. There is no cluster node "foo". See the process die screaming
  

Actual results:

Warning: foo is not listed as a node in /etc/cluster/cluster.conf
*** glibc detected *** ccs_sync: double free or corruption (top): 0x0000000001039710 ***
======= Backtrace: =========
/lib64/libc.so.6[0x3c07274ab6]
ccs_sync[0x4020ea]
/lib64/libc.so.6(__libc_start_main+0xfd)[0x3c0721eb1d]
ccs_sync[0x401ab9]
======= Memory map: ========
(...snip...)
Aborted (core dumped)

Expected results:

Should just echo the error message and die with no further noise.

Additional info:
have only tested on x86_64
Comment 2 RHEL Product and Program Management 2010-04-30 04:45:24 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 3 Chris Feist 2010-05-18 18:01:08 EDT
Fixed segfault:

Test output:

[root@ask-03 ~]# ccs_sync blah
Error: blah is not listed as a node in /etc/cluster/cluster.conf
[root@ask-03 ~]#
Comment 4 Chris Feist 2010-05-18 18:01:40 EDT
Created attachment 414975 [details]
Patch to fix bz
Comment 8 releng-rhel@redhat.com 2010-11-15 09:44:13 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.